﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable escrowTable = null;
        DataRow escrowRow = null;

        escrowTable = new DataTable();

        var _with1 = escrowTable;
        _with1.Columns.Add(new DataColumn("Remove", typeof(bool)));
        _with1.Columns.Add(new DataColumn("PaymentNbr", typeof(System.String)));
        _with1.Columns.Add(new DataColumn("EscrowAmount", typeof(System.Decimal)));
        _with1.Columns.Add(new DataColumn("PeriodicExpenseAmount", typeof(System.Decimal)));
        _with1.Columns.Add(new DataColumn("NextPaymentDueDate", typeof(System.DateTime)));
        _with1.Columns.Add(new DataColumn("Account", typeof(System.String)));
        _with1.Columns.Add(new DataColumn("Misc1", typeof(System.String)));
        _with1.Columns.Add(new DataColumn("Misc2", typeof(System.String)));
        _with1.Columns.Add(new DataColumn("LoanAppEscrowRecID", typeof(System.Decimal)));

        //' Set the PrimaryKeys property to the array - this is needed to avoid error "Table doesn't have a primary key"
        escrowTable.PrimaryKey = new DataColumn[] { escrowTable.Columns["LoanAppEscrowRecID"] };

        escrowRow = escrowTable.NewRow();

        escrowRow["Remove"] = false;
        escrowRow["PaymentNbr"] = 1;
        escrowRow["EscrowAmount"] = 900;
        escrowRow["PeriodicExpenseAmount"] = 100;
        escrowRow["NextPaymentDueDate"] = "12/1/2013";
        escrowRow["Account"] = "My House";
        escrowRow["Misc1"] = "misc1";
        escrowRow["Misc2"] = "misc2";
        escrowRow["LoanAppEscrowRecID"] = 1;

        escrowTable.Rows.InsertAt(escrowRow, 1);

        wdgEscrow.DataSource = escrowTable;
        wdgEscrow.DataBind();
    }
}